Subject: Re: Apache and PHP ./configure
From: Stipe Tolj <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Nov 2001 10:40:50 +0100

> When I ./configure Apache or PHP I got fallowing error:
> What is wrong?
> 
> Arek
> 
> cd ..; gcc  -DCYGWIN -DUSE_HSREGEX -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_
>  `./apaci`     -o helpers/dummy helpers/dummy.c   -lcrypt -lgdbm
> gcc: installation problem, cannot exec `cpp0': No such file or directory
> make: *** [dummy] Error 1
> Creating Makefile in src
>  + configured for Cygwin platform
>  + setting C compiler to gcc
>  + setting C pre-processor to NOT-AVAILABLE
> 
> in unix is gcc -E
> 
>  + checking for system header files
>  + adding selected modules
>  + using builtin Expat
>  + checking sizeof various data types
>  + doing sanity check on compiler and options
> ** A test compilation with your Makefile configuration
> ** failed.  The below error output from the compilation
> ** test will give you an idea what is failing. Note that
> ** Apache requires an ANSI C Compiler, such as gcc.

seems your Cygwin installation is somehow garbled.

Apache configures fine on a working Cygwin environment.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/